Await the completion of a test session
Call this endpoint to await the completion of a test session. A successful response code will be returned once the test session reaches its final state (i.e. when it passes or fails).
If the test session takes a long time to complete, the endpoint will return a timeout error code. You should keep calling the endpoint until you receive a successful response, or a non-timeout related error code. If using curl, its --retry option is suitable.
The successful response of this endpoint is equivalent to the GET /v1/test-sessions/{testSessionId} endpoint’s response for a completed test session.
Documentation Index
Fetch the complete documentation index at: https://checkly-422f444a-michelle-document-missing-api-endpoints.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure!
Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID.
For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"
Headers
Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general
Path Parameters
Test session ID.
Query Parameters
Maximum time to wait for completion before returning a retryable timeout response.
1 <= x <= 30Response
Successful
FAILED, PASSED, CANCELLED IDs of the test-session error groups observed in this test session.